Ginkgo: gko::solver::EnableIterativeBase< DerivedType > Class Template Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::solver::EnableIterativeBase< DerivedType > Class Template Reference
Linear Operators

A LinOp deriving from this CRTP class stores a stopping criterion factory and allows applying with a guess. More...

`#include <ginkgo/core/solver/solver_base.hpp>`

Inheritance diagram for gko::solver::EnableIterativeBase< DerivedType >:
[legend]
Collaboration diagram for gko::solver::EnableIterativeBase< DerivedType >:
[legend]

## Public Member Functions
EnableIterativeBase & | operator= (const EnableIterativeBase &other)
| Creates a shallow copy of the provided stopping criterion, clones it onto this executor if executors don't match.
EnableIterativeBase & | operator= (EnableIterativeBase &&other)
| Moves the provided stopping criterion, clones it onto this executor if executors don't match.
| EnableIterativeBase (std::shared_ptr< const stop::CriterionFactory > stop_factory)
| EnableIterativeBase (const EnableIterativeBase &other)
| Creates a shallow copy of the provided stopping criterion.
| EnableIterativeBase (EnableIterativeBase &&other)
| Moves the provided stopping criterion.
void | set_stop_criterion_factory (std::shared_ptr< const stop::CriterionFactory > new_stop_factory) override
| Sets the stopping criterion of the solver.
Public Member Functions inherited from gko::solver::IterativeBase
std::shared_ptr< const stop::CriterionFactory > | get_stop_criterion_factory () const
| Gets the stopping criterion factory of the solver.

## Detailed Description

template<typename DerivedType>
class gko::solver::EnableIterativeBase< DerivedType >

A LinOp deriving from this CRTP class stores a stopping criterion factory and allows applying with a guess.

Template Parameters

  DerivedType | the CRTP type that derives from this

## Constructor & Destructor Documentation

## ◆ EnableIterativeBase()

template<typename DerivedType>

gko::solver::EnableIterativeBase< DerivedType >::EnableIterativeBase | ( | EnableIterativeBase< DerivedType > && | other | ) |
| inline

Moves the provided stopping criterion.

The moved-from object has a nullptr stopping criterion.

## Member Function Documentation

## ◆ operator=()

template<typename DerivedType>

EnableIterativeBase & gko::solver::EnableIterativeBase< DerivedType >::operator= | ( | EnableIterativeBase< DerivedType > && | other | ) |
| inline

Moves the provided stopping criterion, clones it onto this executor if executors don't match.

The moved-from object has a nullptr stopping criterion.

References set_stop_criterion_factory().

## ◆ set_stop_criterion_factory()

template<typename DerivedType>

void gko::solver::EnableIterativeBase< DerivedType >::set_stop_criterion_factory | ( | std::shared_ptr< const stop::CriterionFactory > | new_stop_factory | ) |
| inlineoverridevirtual

Sets the stopping criterion of the solver.

Parameters

  other | the new stopping criterion factory

Reimplemented from gko::solver::IterativeBase.

References gko::clone(), and gko::solver::IterativeBase::set_stop_criterion_factory().

Referenced by operator=(), and operator=().

The documentation for this class was generated from the following file:

- ginkgo/core/solver/solver_base.hpp